summaryrefslogtreecommitdiff
path: root/dev-python/pytest-toolbox
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-05-15 12:39:43 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-05-15 12:39:43 +0000
commit900fb1489f150f10356a7455bbe7565df7acfc9a (patch)
tree6a27ccc96bddfb5c6c3b6ceff6219b69438e5465 /dev-python/pytest-toolbox
parent1718a3de3d39e0052f2bca93fe0662036915c9b6 (diff)
downloadbaldeagleos-repo-900fb1489f150f10356a7455bbe7565df7acfc9a.tar.gz
baldeagleos-repo-900fb1489f150f10356a7455bbe7565df7acfc9a.tar.xz
baldeagleos-repo-900fb1489f150f10356a7455bbe7565df7acfc9a.zip
Adding metadata
Diffstat (limited to 'dev-python/pytest-toolbox')
-rw-r--r--dev-python/pytest-toolbox/metadata.xml1
-rw-r--r--dev-python/pytest-toolbox/pytest-toolbox-0.4-r1.ebuild21
-rw-r--r--dev-python/pytest-toolbox/pytest-toolbox-0.4.ebuild32
3 files changed, 19 insertions, 35 deletions
diff --git a/dev-python/pytest-toolbox/metadata.xml b/dev-python/pytest-toolbox/metadata.xml
index 161bf0562d10..42803984458e 100644
--- a/dev-python/pytest-toolbox/metadata.xml
+++ b/dev-python/pytest-toolbox/metadata.xml
@@ -7,4 +7,5 @@
</maintainer>
<origin>gentoo-staging</origin>
+ <stabilize-allarches/>
</pkgmetadata> \ No newline at end of file
diff --git a/dev-python/pytest-toolbox/pytest-toolbox-0.4-r1.ebuild b/dev-python/pytest-toolbox/pytest-toolbox-0.4-r1.ebuild
index 0b404b7e4918..de5fde327ea2 100644
--- a/dev-python/pytest-toolbox/pytest-toolbox-0.4-r1.ebuild
+++ b/dev-python/pytest-toolbox/pytest-toolbox-0.4-r1.ebuild
@@ -9,7 +9,10 @@ PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
inherit distutils-r1
DESCRIPTION="Numerous useful plugins for pytest"
-HOMEPAGE="https://pypi.org/project/pytest-toolbox/ https://github.com/samuelcolvin/pytest-toolbox/"
+HOMEPAGE="
+ https://github.com/samuelcolvin/pytest-toolbox/
+ https://pypi.org/project/pytest-toolbox/
+"
SRC_URI="
https://github.com/samuelcolvin/pytest-toolbox/archive/v${PV}.tar.gz
-> ${P}.gh.tar.gz
@@ -17,11 +20,14 @@ SRC_URI="
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+KEYWORDS="amd64 arm arm64 hppa ~ia64 ~loong ~mips ppc ppc64 ~riscv ~s390 sparc x86"
BDEPEND="
test? (
- dev-python/pydantic[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/pydantic[${PYTHON_USEDEP}]
+ ' pypy3 python3_{8..10} # TODO: python3_11
+ )
)
"
@@ -31,3 +37,12 @@ src_prepare() {
sed -e '/addopts/d' -i setup.cfg || die
distutils-r1_src_prepare
}
+
+python_test() {
+ local EPYTEST_DESELECT=()
+ if ! has_version "dev-python/pydantic[${PYTHON_USEDEP}]"; then
+ EPYTEST_DESELECT+=(
+ tests/test_comparison.py::test_close_to_now_{false,true}
+ )
+ fi
+}
diff --git a/dev-python/pytest-toolbox/pytest-toolbox-0.4.ebuild b/dev-python/pytest-toolbox/pytest-toolbox-0.4.ebuild
deleted file mode 100644
index eaa326f9edbe..000000000000
--- a/dev-python/pytest-toolbox/pytest-toolbox-0.4.ebuild
+++ /dev/null
@@ -1,32 +0,0 @@
-# Copyright 2021-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
-
-inherit distutils-r1
-
-DESCRIPTION="Numerous useful plugins for pytest"
-HOMEPAGE="https://pypi.org/project/pytest-toolbox/ https://github.com/samuelcolvin/pytest-toolbox/"
-SRC_URI="
- https://github.com/samuelcolvin/pytest-toolbox/archive/v${PV}.tar.gz
- -> ${P}.gh.tar.gz
-"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="amd64 arm arm64 hppa ppc ppc64 ~riscv sparc x86"
-
-BDEPEND="
- test? (
- dev-python/pydantic[${PYTHON_USEDEP}]
- )
-"
-
-distutils_enable_tests pytest
-
-src_prepare() {
- sed -e '/addopts/d' -i setup.cfg || die
- distutils-r1_src_prepare
-}